Gentoo Archives: gentoo-commits

From: "Mike Gilbert (floppym)" <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in www-client/chromium: ChangeLog chromium-14.0.835.157.ebuild chromium-14.0.835.124.ebuild chromium-14.0.835.109.ebuild chromium-14.0.835.122.ebuild
Date: Tue, 06 Sep 2011 21:02:09
Message-Id: 20110906210159.244072004C@flycatcher.gentoo.org
1 floppym 11/09/06 21:01:57
2
3 Modified: ChangeLog
4 Added: chromium-14.0.835.157.ebuild
5 Removed: chromium-14.0.835.124.ebuild
6 chromium-14.0.835.109.ebuild
7 chromium-14.0.835.122.ebuild
8 Log:
9 Version bump for beta channel release. Remove old.
10
11 (Portage version: 2.2.0_alpha53/cvs/Linux x86_64)
12
13 Revision Changes Path
14 1.433 www-client/chromium/ChangeLog
15
16 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.433&view=markup
17 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.433&content-type=text/plain
18 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.432&r2=1.433
19
20 Index: ChangeLog
21 ===================================================================
22 RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
23 retrieving revision 1.432
24 retrieving revision 1.433
25 diff -u -r1.432 -r1.433
26 --- ChangeLog 4 Sep 2011 19:39:43 -0000 1.432
27 +++ ChangeLog 6 Sep 2011 21:01:57 -0000 1.433
28 @@ -1,6 +1,13 @@
29 # ChangeLog for www-client/chromium
30 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
31 -# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.432 2011/09/04 19:39:43 chainsaw Exp $
32 +# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.433 2011/09/06 21:01:57 floppym Exp $
33 +
34 +*chromium-14.0.835.157 (06 Sep 2011)
35 +
36 + 06 Sep 2011; Mike Gilbert <floppym@g.o> -chromium-14.0.835.109.ebuild,
37 + -chromium-14.0.835.122.ebuild, -chromium-14.0.835.124.ebuild,
38 + +chromium-14.0.835.157.ebuild:
39 + Version bump for beta channel release. Remove old.
40
41 04 Sep 2011; Tony Vroon <chainsaw@g.o> chromium-13.0.782.220.ebuild:
42 Marked stable on AMD64 based on arch testing by Agostino "ago" Sarubbo &
43
44
45
46 1.1 www-client/chromium/chromium-14.0.835.157.ebuild
47
48 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.835.157.ebuild?rev=1.1&view=markup
49 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-14.0.835.157.ebuild?rev=1.1&content-type=text/plain
50
51 Index: chromium-14.0.835.157.ebuild
52 ===================================================================
53 # Copyright 1999-2011 Gentoo Foundation
54 # Distributed under the terms of the GNU General Public License v2
55 # $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.157.ebuild,v 1.1 2011/09/06 21:01:57 floppym Exp $
56
57 EAPI="3"
58 PYTHON_DEPEND="2:2.6"
59
60 inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
61 pax-utils portability python toolchain-funcs versionator virtualx
62
63 DESCRIPTION="Open-source version of Google Chrome web browser"
64 HOMEPAGE="http://chromium.org/"
65 SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
66
67 LICENSE="BSD"
68 SLOT="0"
69 KEYWORDS="~amd64 ~x86"
70 IUSE="cups gnome gnome-keyring kerberos"
71
72 # en_US is ommitted on purpose from the list below. It must always be available.
73 LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
74 hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
75 tr uk vi zh_CN zh_TW"
76 for lang in ${LANGS}; do
77 IUSE+=" linguas_${lang}"
78 done
79
80 RDEPEND="app-arch/bzip2
81 dev-libs/dbus-glib
82 >=dev-libs/icu-4.4.1
83 >=dev-libs/libevent-1.4.13
84 dev-libs/libxml2[icu]
85 dev-libs/libxslt
86 >=dev-libs/nss-3.12.3
87 gnome? ( >=gnome-base/gconf-2.24.0 )
88 gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
89 >=media-libs/alsa-lib-1.0.19
90 media-libs/flac
91 virtual/jpeg
92 media-libs/libpng
93 >=media-libs/libwebp-0.1.2
94 media-libs/speex
95 cups? (
96 dev-libs/libgcrypt
97 >=net-print/cups-1.3.11
98 )
99 sys-libs/zlib
100 x11-libs/gtk+:2
101 x11-libs/libXinerama
102 x11-libs/libXScrnSaver
103 x11-libs/libXtst"
104 DEPEND="${RDEPEND}
105 dev-lang/perl
106 >=dev-util/gperf-3.0.3
107 >=dev-util/pkgconfig-0.23
108 >=sys-devel/bison-2.4.3
109 sys-devel/flex
110 >=sys-devel/make-3.81-r2
111 test? (
112 dev-python/pyftpdlib
113 dev-python/simplejson
114 virtual/krb5
115 )"
116 RDEPEND+="
117 kerberos? ( virtual/krb5 )
118 x11-misc/xdg-utils
119 virtual/ttf-fonts"
120
121 gyp_use() {
122 if [[ $# -lt 2 ]]; then
123 echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
124 return 1
125 fi
126 if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
127 }
128
129 egyp() {
130 set -- build/gyp_chromium --depth=. "${@}"
131 echo "${@}" >&2
132 "${@}"
133 }
134
135 # Chromium uses different names for some langs,
136 # return Chromium name corresponding to a Gentoo lang.
137 chromium_lang() {
138 if [[ "$1" == "es_LA" ]]; then
139 echo "es_419"
140 else
141 echo "$1"
142 fi
143 }
144
145 pkg_setup() {
146 CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
147
148 # Make sure the build system will use the right tools, bug #340795.
149 tc-export AR CC CXX RANLIB
150
151 # Make sure the build system will use the right python, bug #344367.
152 python_set_active_version 2
153 python_pkg_setup
154
155 # Prevent user problems like bug #348235.
156 eshopts_push -s extglob
157 if is-flagq '-g?(gdb)?([1-9])'; then
158 ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
159 ewarn "You may experience really long compilation times and/or increased memory usage."
160 ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
161 fi
162 eshopts_pop
163
164 # Warn if the kernel doesn't support features useful for sandboxing,
165 # bug #363907.
166 CONFIG_CHECK="~PID_NS ~NET_NS"
167 check_extra_config
168 }
169
170 src_prepare() {
171 # bug #374903 - ICU 4.8 compatibility
172 epatch "${FILESDIR}/${PN}-icu-compatibility-r0.patch"
173
174 # Fix build with system libevent, to be upstreamed.
175 epatch "${FILESDIR}/${PN}-system-libevent-r0.patch"
176
177 # Remove most bundled libraries. Some are still needed.
178 find third_party -type f \! -iname '*.gyp*' \
179 \! -path 'third_party/WebKit/*' \
180 \! -path 'third_party/angle/*' \
181 \! -path 'third_party/cacheinvalidation/*' \
182 \! -path 'third_party/cld/*' \
183 \! -path 'third_party/expat/*' \
184 \! -path 'third_party/ffmpeg/*' \
185 \! -path 'third_party/flac/flac.h' \
186 \! -path 'third_party/gpsd/*' \
187 \! -path 'third_party/harfbuzz/*' \
188 \! -path 'third_party/hunspell/*' \
189 \! -path 'third_party/iccjpeg/*' \
190 \! -path 'third_party/launchpad_translations/*' \
191 \! -path 'third_party/leveldb/*' \
192 \! -path 'third_party/libjingle/*' \
193 \! -path 'third_party/libphonenumber/*' \
194 \! -path 'third_party/libvpx/*' \
195 \! -path 'third_party/mesa/*' \
196 \! -path 'third_party/modp_b64/*' \
197 \! -path 'third_party/npapi/*' \
198 \! -path 'third_party/openmax/*' \
199 \! -path 'third_party/ots/*' \
200 \! -path 'third_party/protobuf/*' \
201 \! -path 'third_party/sfntly/*' \
202 \! -path 'third_party/skia/*' \
203 \! -path 'third_party/speex/speex.h' \
204 \! -path 'third_party/sqlite/*' \
205 \! -path 'third_party/tcmalloc/*' \
206 \! -path 'third_party/tlslite/*' \
207 \! -path 'third_party/undoview/*' \
208 \! -path 'third_party/webgl_conformance/*' \
209 \! -path 'third_party/webrtc/*' \
210 \! -path 'third_party/yasm/*' \
211 \! -path 'third_party/zlib/contrib/minizip/*' \
212 -delete || die
213
214 # Make sure the build system will use the right python, bug #344367.
215 # Only convert directories that need it, to save time.
216 python_convert_shebangs -q -r 2 build tools
217 }
218
219 src_configure() {
220 local myconf=""
221
222 # Never tell the build system to "enable" SSE2, it has a few unexpected
223 # additions, bug #336871.
224 myconf+=" -Ddisable_sse2=1"
225
226 # Disable NaCl temporarily, this tarball doesn't have IRT.
227 myconf+=" -Ddisable_nacl=1"
228
229 # Disable WebRTC until they make PulseAudio dependency optional,
230 # bug #377847.
231 myconf+=" -Denable_webrtc=0"
232
233 # Use system-provided libraries.
234 # TODO: use_system_ffmpeg
235 # TODO: use_system_hunspell (upstream changes needed).
236 # TODO: use_system_ssl (http://crbug.com/58087).
237 # TODO: use_system_sqlite (http://crbug.com/22208).
238 # TODO: use_system_vpx
239 myconf+="
240 -Duse_system_bzip2=1
241 -Duse_system_flac=1
242 -Duse_system_icu=1
243 -Duse_system_libevent=1
244 -Duse_system_libjpeg=1
245 -Duse_system_libpng=1
246 -Duse_system_libwebp=1
247 -Duse_system_libxml=1
248 -Duse_system_speex=1
249 -Duse_system_xdg_utils=1
250 -Duse_system_zlib=1"
251
252 # Optional dependencies.
253 myconf+="
254 $(gyp_use cups use_cups)
255 $(gyp_use gnome use_gconf)
256 $(gyp_use gnome-keyring use_gnome_keyring)
257 $(gyp_use gnome-keyring linux_link_gnome_keyring)"
258
259 # Enable sandbox.
260 myconf+="
261 -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
262 -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
263
264 if host-is-pax; then
265 # Prevent the build from failing (bug #301880). The performance
266 # difference is very small.
267 myconf+=" -Dv8_use_snapshot=0"
268 fi
269
270 # Our system ffmpeg should support more codecs than the bundled one
271 # for Chromium.
272 # myconf+=" -Dproprietary_codecs=1"
273
274 local myarch="$(tc-arch)"
275 if [[ $myarch = amd64 ]] ; then
276 myconf+=" -Dtarget_arch=x64"
277 elif [[ $myarch = x86 ]] ; then
278 myconf+=" -Dtarget_arch=ia32"
279 elif [[ $myarch = arm ]] ; then
280 # TODO: check this again after
281 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
282 append-flags -fno-tree-sink
283
284 myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
285 else
286 die "Failed to determine target arch, got '$myarch'."
287 fi
288
289 # Make sure that -Werror doesn't get added to CFLAGS by the build system.
290 # Depending on GCC version the warnings are different and we don't want
291 # the build to fail because of that.
292 myconf+=" -Dwerror="
293
294 # Avoid a build error with -Os, bug #352457.
295 replace-flags "-Os" "-O2"
296
297 egyp ${myconf} || die
298 }
299
300 src_compile() {
301 emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
302 pax-mark m out/Release/chrome
303 if use test; then
304 emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
305 pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
306 fi
307 }
308
309 src_test() {
310 # For more info see bug #350349.
311 local mylocale='en_US.utf8'
312 if ! locale -a | grep -q "$mylocale"; then
313 eerror "${PN} requires ${mylocale} locale for tests"
314 eerror "Please read the following guides for more information:"
315 eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
316 eerror " http://www.gentoo.org/doc/en/utf-8.xml"
317 die "locale ${mylocale} is not supported"
318 fi
319
320 # For more info see bug #370957.
321 if [[ $UID -eq 0 ]]; then
322 die "Tests must be run as non-root. Please use FEATURES=userpriv."
323 fi
324
325 # For more info see bug #350347.
326 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
327 '--gtest_filter=-ICUStringConversionsTest.*'
328
329 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
330 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
331
332 # NetUtilTest: bug #361885.
333 # UDP: unstable, active development. We should revisit this later.
334 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
335 '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
336 }
337
338 src_install() {
339 exeinto "${CHROMIUM_HOME}"
340 doexe out/Release/chrome
341 doexe out/Release/chrome_sandbox || die
342 fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
343
344 # Install Native Client files on platforms that support it.
345 # insinto "${CHROMIUM_HOME}"
346 # case "$(tc-arch)" in
347 # amd64)
348 # doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
349 # doins out/Release/libppGoogleNaClPluginChrome.so || die
350 # ;;
351 # x86)
352 # doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
353 # doins out/Release/libppGoogleNaClPluginChrome.so || die
354 # ;;
355 # esac
356
357 newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
358
359 # It is important that we name the target "chromium-browser",
360 # xdg-utils expect it; bug #355517.
361 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
362 # keep the old symlink around for consistency
363 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
364
365 # Allow users to override command-line options, bug #357629.
366 dodir /etc/chromium || die
367 insinto /etc/chromium
368 newins "${FILESDIR}/chromium.default" "default" || die
369
370 # Support LINGUAS, bug #332751.
371 local pak
372 for pak in out/Release/locales/*.pak; do
373 local pakbasename="$(basename ${pak})"
374 local pakname="${pakbasename%.pak}"
375 local langname="${pakname//-/_}"
376
377 # Do not issue warning for en_US locale. This is the fallback
378 # locale so it should always be installed.
379 if [[ "${langname}" == "en_US" ]]; then
380 continue
381 fi
382
383 local found=false
384 local lang
385 for lang in ${LANGS}; do
386 local crlang="$(chromium_lang ${lang})"
387 if [[ "${langname}" == "${crlang}" ]]; then
388 found=true
389 break
390 fi
391 done
392 if ! $found; then
393 ewarn "LINGUAS warning: no ${langname} in LANGS"
394 fi
395 done
396 local lang
397 for lang in ${LANGS}; do
398 local crlang="$(chromium_lang ${lang})"
399 local pakfile="out/Release/locales/${crlang//_/-}.pak"
400 if [ ! -f "${pakfile}" ]; then
401 ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
402 fi
403 if ! use linguas_${lang}; then
404 rm "${pakfile}" || die
405 fi
406 done
407
408 insinto "${CHROMIUM_HOME}"
409 doins out/Release/chrome.pak || die
410 doins out/Release/resources.pak || die
411
412 doins -r out/Release/locales || die
413 doins -r out/Release/resources || die
414
415 newman out/Release/chrome.1 chromium.1 || die
416 newman out/Release/chrome.1 chromium-browser.1 || die
417
418 # Chromium looks for these in its folder
419 # See media_posix.cc and base_paths_linux.cc
420 # dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
421 # dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
422 # dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
423 doexe out/Release/ffmpegsumo_nolink || die
424 doexe out/Release/libffmpegsumo.so || die
425
426 # Install icons and desktop entry.
427 for SIZE in 16 22 24 32 48 64 128 256 ; do
428 insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
429 newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
430 chromium-browser.png || die
431 done
432 local mime_types="text/html;text/xml;application/xhtml+xml;"
433 mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
434 make_desktop_entry chromium-browser "Chromium" chromium-browser \
435 "Network;WebBrowser" \
436 "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
437 sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
438
439 # Install GNOME default application entry (bug #303100).
440 if use gnome; then
441 dodir /usr/share/gnome-control-center/default-apps || die
442 insinto /usr/share/gnome-control-center/default-apps
443 doins "${FILESDIR}"/chromium-browser.xml || die
444 fi
445 }
446
447 pkg_preinst() {
448 gnome2_icon_savelist
449 }
450
451 pkg_postinst() {
452 fdo-mime_desktop_database_update
453 gnome2_icon_cache_update
454
455 # For more info see bug #292201, bug #352263, bug #361859.
456 elog
457 elog "Depending on your desktop environment, you may need"
458 elog "to install additional packages to get icons on the Downloads page."
459 elog
460 elog "For KDE, the required package is kde-base/oxygen-icons."
461 elog
462 elog "For other desktop environments, try one of the following:"
463 elog " - x11-themes/gnome-icon-theme"
464 elog " - x11-themes/tango-icon-theme"
465
466 # For more info see bug #359153.
467 elog
468 elog "Some web pages may require additional fonts to display properly."
469 elog "Try installing some of the following packages if some characters"
470 elog "are not displayed properly:"
471 elog " - media-fonts/arphicfonts"
472 elog " - media-fonts/bitstream-cyberbit"
473 elog " - media-fonts/droid"
474 elog " - media-fonts/ipamonafont"
475 elog " - media-fonts/ja-ipafonts"
476 elog " - media-fonts/takao-fonts"
477 elog " - media-fonts/wqy-microhei"
478 elog " - media-fonts/wqy-zenhei"
479 }
480
481 pkg_postrm() {
482 gnome2_icon_cache_update
483 }